Bug 215672

Summary: Limit net-im/*telepathy* components to use python2 only
Product: Ports & Packages Reporter: Dima Panov <fluffy>
Component: Individual Port(s)Assignee: freebsd-gnome mailing list <gnome>
Status: Closed FIXED    
Severity: Affects Many People CC: kwm
Priority: --- Flags: kwm: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=214734
Attachments:
Description Flags
Limit net-im/*telepathy* components to use python2 only none

Description Dima Panov freebsd_committer 2016-12-30 17:24:06 UTC
Created attachment 178403 [details]
Limit net-im/*telepathy* components to use python2 only

All net-im/*telepathy* components should be limited to use python2 (2.7) only due to outdated and hardcoded realization in src.

PR214734 can be closed after this patch committed.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2016-12-30 22:09:05 UTC
gnome@ maintains all of these ports.
Comment 2 Koop Mast freebsd_committer 2016-12-31 18:22:02 UTC
I wonder if "USES=python,2.7:build should be used instead to avoid the python2 meta port. But you probably need to ask someone from python@ about that.
Comment 3 Dima Panov freebsd_committer 2017-01-01 02:45:13 UTC
(In reply to Koop Mast from comment #2)
Sources can use any python2; but no objections from me to use strict python:2.7 declaration, since ports doesn't have other 2.x releases anymore
Comment 4 Dima Panov freebsd_committer 2017-01-28 11:09:28 UTC
(In reply to Koop Mast from comment #2)

Ouch. Missed the point — pointing dependency to metaport (python2 in the case) required to ensure in installed major links (python2, pydoc2, etc) and corresponded .pc file

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=215921 have same case.
Comment 5 commit-hook freebsd_committer 2017-02-09 05:26:20 UTC
A commit references this bug:

Author: fluffy
Date: Thu Feb  9 05:26:00 UTC 2017
New revision: 433710
URL: https://svnweb.freebsd.org/changeset/ports/433710

Log:
  Limit net-im/*telepathy* components to use python2 only as it hardcoded in src

  PR:		215672
  Submitted by:	myself
  Approved by:	gnome (kwm via irc)

Changes:
  head/net-im/libtelepathy/Makefile
  head/net-im/telepathy-butterfly/Makefile
  head/net-im/telepathy-farsight/Makefile
  head/net-im/telepathy-farstream/Makefile
  head/net-im/telepathy-gabble/Makefile
  head/net-im/telepathy-glib/Makefile
  head/net-im/telepathy-idle/Makefile
  head/net-im/telepathy-logger/Makefile
  head/net-im/telepathy-rakia/Makefile
  head/net-im/telepathy-salut/Makefile